Subject: bug#22506: closed (Re: bug#22506: make change-history now doesn't work at all)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Feb 2016 07:42:02 +0000

Your bug report

#22506: make change-history now doesn't work at all

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22506: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22506
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22506: make change-history now doesn't work at all
From: Paul Eggert <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 31 Jan 2016 23:41:42 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I assume this particular bug (the one that blocks a release) has been fixed, so 
I'll close the bug report. If I haven't actually fixed it please feel free to 
reopen it. We do have the more-general problem that ChangeLog maintenance is a 
pain, but that should be a different bug as it does not block a release.

Subject: make change-history now doesn't work at all
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jan 2016 14:23:09 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 25.0.90

I don't know how y'all plan to address the issue of running make
change-history on the release branch (bug#21998), but now it doesn't
work on either emacs-25 or master. On both branches,
change-history-nocommit fails with "fatal: Invalid revision range". Eg:

  GEN      ChangeLog
fatal: Invalid revision range
3f43da09956b663d92f578e41bcacb8742bb6bba..0156b79ea8fd473c550abdb8d3e3b4eacaaab289
gitlog-to-changelog: error closing pipe from git log --log-size
'--pretty=format:%H:%ct  %an  <%ae>%n%n%B'
3f43da09956b663d92f578e41bcacb8742bb6bba..0156b79ea8fd473c550abdb8d3e3b4eacaaab289
make[1]: *** [ChangeLog] Error 128